#
# spec file for package libunwind (Version 0.98.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libunwind
BuildRequires:  gcc-c++
URL:            http://www.hpl.hp.com/research/linux/libunwind/
Summary:        Unwind Library
Version:        0.98.5
Release:        19.1
Group:          System/Base
License:        X11/MIT
Source:         libunwind-%{version}.tar.gz
Patch:          libunwind-%{version}.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch: %ix86 ia64 x86_64

%description
A portable and efficient C programming interface (API) to determine the
call chain of a program.



Authors:
--------
    David Mosberger <davidm@hpl.hp.com>

%debug_package
%package devel
Summary:        Unwind library
Group:          System/Base
Requires:       libunwind = %{version}-%{release}
Provides:       libunwind:%{_libdir}/libunwind.so

%description devel
A portable and efficient C programming interface (API) to determine the
call-chain of a program.



Authors:
--------
    David Mosberger <davidm@hpl.hp.com>

%prep
%setup -q
%patch

%build
#chmod +w aclocal.m4 configure
#autoreconf -fi
./configure "CFLAGS=$RPM_OPT_FLAGS" --prefix=/usr --mandir=%{_mandir} \
	    --libdir=%{_libdir} --build=%{_target_cpu}-suse-linux
make %{?jobs:-j%jobs}
%ifarch ia64
make -k check
%else
# There are some expected failures
make -k check || :
%endif

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_lib}
mv $RPM_BUILD_ROOT%{_libdir}/libunwind.so.7* $RPM_BUILD_ROOT/%{_lib}
cd $RPM_BUILD_ROOT%{_libdir}
ln -sf ../../%{_lib}/libunwind.so.7.* libunwind.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/%_lib/lib*
%{_libdir}/lib*.so.*
%{_libdir}/libunwind.so

%files devel
%defattr(-, root, root)
%{_prefix}/include/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/libunwind-*.so
%doc %{_mandir}/man?/*

%changelog -n libunwind
* Thu Jan 26 2006 - schwab@suse.de
- Run ldconfig.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 14 2005 - schwab@suse.de
- Undo last change.
* Mon Oct 31 2005 - dmueller@suse.de
- build with nonexecutable stack
* Fri Jul 22 2005 - schwab@suse.de
- Remove broken tests.
* Mon May 02 2005 - schwab@suse.de
- Fix broken test.
* Sat Apr 23 2005 - schwab@suse.de
- Only libunwind needs to be in /lib.
- There are no expected testsuite failures on ia64 any more.
* Thu Apr 21 2005 - schwab@suse.de
- Update to libunwind 0.98.5.
* Fri Feb 25 2005 - schwab@suse.de
- Update to libunwind 0.98.4.
* Fri Feb 04 2005 - schwab@suse.de
- Fix libdir.
- Fix warning.
* Tue Dec 07 2004 - schwab@suse.de
- Update to libunwind 0.98.3.
* Mon Nov 15 2004 - schwab@suse.de
- Don't move around libtool libraries.
* Sun Nov 14 2004 - schwab@suse.de
- Split off libunwind-devel.
- Move library to /lib.
- Remove broken test.
* Fri Nov 05 2004 - schwab@suse.de
- Update to libunwind 0.98.2.
* Thu Oct 28 2004 - schwab@suse.de
- Update to libunwind 0.98.1.
* Wed Sep 29 2004 - schwab@suse.de
- Fix installed headers.
* Thu Sep 09 2004 - schwab@suse.de
- Update to libunwind 0.98.
- Enable building on x86_64.
* Thu Aug 19 2004 - schwab@suse.de
- Update to libunwind 0.97.
* Sun Apr 18 2004 - schwab@suse.de
- Pacify autobuild.
* Fri Dec 05 2003 - schwab@suse.de
- Update to libunwind 0.96.
* Thu Dec 04 2003 - schwab@suse.de
- Update to libunwind 0.95.
* Fri Sep 26 2003 - schwab@suse.de
- Update to libunwind 0.93.
* Wed Jul 23 2003 - schwab@suse.de
- Fix typo in specfile.
* Thu Jul 11 2002 - schwab@suse.de
- Initial version.
